=== modified file 'bzrlib/help.py'
--- bzrlib/help.py	2006-10-09 16:46:14 +0000
+++ bzrlib/help.py	2006-10-11 22:43:03 +0000
@@ -22,15 +22,21 @@
 # TODO: `help commands --all` should show hidden commands
 
 import sys
-from bzrlib import help_topics
-from bzrlib import osutils
 import textwrap
 
+from bzrlib import (
+    help_topics,
+    osutils,
+    )
+
+
 help_topics.add_topic("commands",
                       (lambda name, outfile: help_commands(outfile)),
                       "Basic help for all commands")
 
-def help(topic=None, outfile = None):
+
+def help(topic=None, outfile=None):
+    """Write the help for the specific topic to outfile"""
     if outfile is None:
         outfile = sys.stdout
     if topic is None:
@@ -89,7 +95,7 @@
     if doc is None:
         raise NotImplementedError("sorry, no detailed help yet for %r" % cmdname)
 
-    print >>outfile, 'usage:', command_usage(cmd_object) 
+    print >>outfile, 'usage:', command_usage(cmd_object)
 
     if cmd_object.aliases:
         print >>outfile, 'aliases:',

=== modified file 'bzrlib/help_topics.py'
--- bzrlib/help_topics.py	2006-10-11 22:35:05 +0000
+++ bzrlib/help_topics.py	2006-10-11 22:43:03 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2006 by Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/revisionspec.py'
--- bzrlib/revisionspec.py	2006-09-20 20:59:27 +0000
+++ bzrlib/revisionspec.py	2006-10-11 22:43:03 +0000
@@ -474,11 +474,10 @@
           value can be 'yesterday', 'today', 'tomorrow' or a YYYY-MM-DD string.
           matches the first entry after a given date (either at midnight or
           at a specified time).
-
-          XXX: This doesn't actually work
-          So the proper way of saying 'give me all entries for today' is:
-              -r date:yesterday..date:today
         """
+        #  XXX: This doesn't actually work
+        #  So the proper way of saying 'give me all entries for today' is:
+        #      -r date:yesterday..date:today
         today = datetime.datetime.fromordinal(datetime.date.today().toordinal())
         if self.spec.lower() == 'yesterday':
             dt = today - datetime.timedelta(days=1)

=== modified file 'doc/specifying_revisions.txt'
--- doc/specifying_revisions.txt	2006-09-20 20:59:27 +0000
+++ doc/specifying_revisions.txt	2006-10-11 22:43:03 +0000
@@ -5,7 +5,7 @@
 Description of the subarguments for ``-r`` as used by commands such as
 **bzr log** and **bzr merge**.
 
-You can get the online documentation with 'bzr help revisionspec'.
+You can get the online documentation with ``bzr help revisionspec``.
 
 Revision specs and ranges
 =========================

=== modified file 'doc/tutorial.txt'
--- doc/tutorial.txt	2006-09-20 20:59:27 +0000
+++ doc/tutorial.txt	2006-10-11 22:43:03 +0000
@@ -107,8 +107,8 @@
 ==============================
 
 Bazaar installs a single new command, **bzr**.  Everything else is a
-subcommand of this.  You can get some help with `bzr help`. Some arguments 
-are grouped in topics: 'bzr help topics' to see which topics are available.
+subcommand of this.  You can get some help with ``bzr help``. Some arguments 
+are grouped in topics: ``bzr help topics`` to see which topics are available.
 There will be more in the future.
 
 One function of a version control system is to keep track of who changed

